// automatically generated by the FlatBuffers compiler, do not modify

package Serialization;

import java.nio.*;
import java.lang.*;
import java.util.*;
import com.google.flatbuffers.*;

@SuppressWarnings("unused")
public final class PortConfig extends Table {
  public static void ValidateVersion() { Constants.FLATBUFFERS_1_12_0(); }
  public static PortConfig getRootAsPortConfig(ByteBuffer _bb) { return getRootAsPortConfig(_bb, new PortConfig()); }
  public static PortConfig getRootAsPortConfig(ByteBuffer _bb, PortConfig obj) { _bb.order(ByteOrder.LITTLE_ENDIAN); return (obj.__assign(_bb.getInt(_bb.position()) + _bb.position(), _bb)); }
  public void __init(int _i, ByteBuffer _bb) { __reset(_i, _bb); }
  public PortConfig __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public String portName() { int o = __offset(4); return o != 0 ? __string(o + bb_pos) : null; }
  public ByteBuffer portNameAsByteBuffer() { return __vector_as_bytebuffer(4, 1); }
  public ByteBuffer portNameInByteBuffer(ByteBuffer _bb) { return __vector_in_bytebuffer(_bb, 4, 1); }
  public String remap() { int o = __offset(6); return o != 0 ? __string(o + bb_pos) : null; }
  public ByteBuffer remapAsByteBuffer() { return __vector_as_bytebuffer(6, 1); }
  public ByteBuffer remapInByteBuffer(ByteBuffer _bb) { return __vector_in_bytebuffer(_bb, 6, 1); }

  public static int createPortConfig(FlatBufferBuilder builder,
      int port_nameOffset,
      int remapOffset) {
    builder.startTable(2);
    PortConfig.addRemap(builder, remapOffset);
    PortConfig.addPortName(builder, port_nameOffset);
    return PortConfig.endPortConfig(builder);
  }

  public static void startPortConfig(FlatBufferBuilder builder) { builder.startTable(2); }
  public static void addPortName(FlatBufferBuilder builder, int portNameOffset) { builder.addOffset(0, portNameOffset, 0); }
  public static void addRemap(FlatBufferBuilder builder, int remapOffset) { builder.addOffset(1, remapOffset, 0); }
  public static int endPortConfig(FlatBufferBuilder builder) {
    int o = builder.endTable();
    return o;
  }

  public static final class Vector extends BaseVector {
    public Vector __assign(int _vector, int _element_size, ByteBuffer _bb) { __reset(_vector, _element_size, _bb); return this; }

    public PortConfig get(int j) { return get(new PortConfig(), j); }
    public PortConfig get(PortConfig obj, int j) {  return obj.__assign(__indirect(__element(j), bb), bb); }
  }
}

